Bug 1414127 - [RFE] Support hosting auth-less https repos
Summary: [RFE] Support hosting auth-less https repos
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 20:36 UTC by Justin Sherrill
Modified: 2019-08-12 16:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:07:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Justin Sherrill 2017-01-17 20:36:59 UTC
Description of problem:

We need to add the ability to serve auth-less custom repositories via pulp into Satellite 6.  This would help support serving SUSE subscription-manager clients via a secure manner.

Supposedly pulp supports it via http://docs.pulpproject.org/plugins/pulp_rpm/tech-reference/yum-plugins.html#optional-configuration-parameters

Some investigation needs to be added to verify this works, and add support into katello

Comment 5 Bryan Kearney 2018-09-04 18:56:53 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 6 Bryan Kearney 2018-09-04 19:07:36 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.